Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jelly
Class MapTagSupport

    java.lang.Object
      org.apache.commons.jelly.TagSupport
          org.apache.commons.jelly.DynaTagSupport
              org.apache.commons.jelly.MapTagSupport

All Implemented Interfaces:
  DynaTag, Tag

Direct Known Subclasses:
  SetPropertiesTag, UseBeanTag

    public abstract class MapTagSupport

extends DynaTagSupport

`MapTag` is a DynaTag implementation which uses a Map to store its attribute values in. Derived tags can then process this Map, change values, add or remove attributes or perform some other form of processsing pretty easily.

Version:
  $Revision: 155420 $
Author:
  James Strachan

Field Summary

Fields inherited from class org.apache.commons.jelly.TagSupport
`body, context, hasTrimmed, parent, shouldTrim`

Constructor Summary
`MapTagSupport()`

Method Summary
`protected java.util.Map` | `createAttributes()` A Factory Method which allows derived tags to overload the Map implementation used by this tag
`protected java.util.Map` | `getAttributes()` Helper method which allows derived tags to access the attributes associated with this tag
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` Sets an attribute value of this tag before the tag is invoked

Methods inherited from class org.apache.commons.jelly.DynaTagSupport
`getAttributeType`

Methods inherited from class org.apache.commons.jelly.TagSupport
`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.jelly.Tag
`doTag, getBody, getContext, getParent, invokeBody, setBody, setContext, setParent`

Constructor Detail

### MapTagSupport

    public MapTagSupport()

Method Detail

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Sets an attribute value of this tag before the tag is invoked

### getAttributes

    protected java.util.Map getAttributes()

  Helper method which allows derived tags to access the attributes associated with this tag

### createAttributes

    protected java.util.Map createAttributes()

  A Factory Method which allows derived tags to overload the Map implementation used by this tag

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.